Groovy Documentation

## org.codehaus.groovy.grails.plugins.support.aware
[Java] Class ClassLoaderAwareBeanPostProcessor

    java.lang.Object
      org.codehaus.groovy.grails.plugins.support.BeanPostProcessorAdapter
          org.codehaus.groovy.grails.plugins.support.aware.ClassLoaderAwareBeanPostProcessor

    public class ClassLoaderAwareBeanPostProcessor
    extends BeanPostProcessorAdapter

Constructor Summary
`ClassLoaderAwareBeanPostProcessor(java.lang.ClassLoader classLoader)`

Method Summary
`java.lang.Object` | `postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)`

Methods inherited from class BeanPostProcessorAdapter
postProcessAfterInitialization, postProcessBeforeInitialization

Constructor Detail

### ClassLoaderAwareBeanPostProcessor

    public ClassLoaderAwareBeanPostProcessor(java.lang.ClassLoader classLoader)

Method Detail

### postProcessBeforeInitialization

    @Override
    public java.lang.Object postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)

Groovy Documentation